Index: sm/trunk-jpl/externalpackages/gmt/install-6-mac-intel-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-intel-static.sh	(revision 27700)
+++ 	(revision )
@@ -1,80 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="6.4.0"
-
-# Find libgfortran and libgcc so we do not have to hardcode them
-#
-# TODO:
-# - Move this to etc/environment.sh
-# - Test if -static-libgfortran flag will avoid all of this.
-# - Otherwise, refactor this to work with other gfortran installations.
-#
-echo "Finding libgfortran..."
-LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
-LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
-LIBGCC=$(find ${LIBGFORTRAN_ROOT} -name libgcc* 2>/dev/null | egrep -n libgcc.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
-
-GDAL_EXTRA_LIBS="-lc++" # `$GDAL_ROOT/bin/gdal-config --dep-libs` does not report need to link to libc++ (see also customized configuration file ./configs/6/static/cmake/modules/FindGDAL.cmake)
-NETCDF_EXTRA_LIBS="-lpthread -ldl -liconv" # `$NETCDF_ROOT/bin/nc-config --libs` does not report certain dependencies of certain static libraries (see also customized configuration file ./configs/6/static/cmake/modules/FindNETCDF.cmake)
-
-# Environment
-#
-export CC=mpicc
-export CURL_INCLUDE_DIRS="${CURL_ROOT}/include"
-export CURL_LIBRARIES="${CURL_ROOT}/lib/libcurl.a;${ZLIB_ROOT}/lib/libz.a"
-export LDFLAGS="-lsqlite3 -framework CoreFoundation -framework Security"
-export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gmt-${VER}.tar.gz
-
-# Cleanup
-rm -rf ${PREFIX} src
-mkdir -p ${PREFIX} src
-
-# Move source to 'src' directory
-mv gmt-${VER}/* src
-rm -rf gmt-${VER}
-
-# Copy custom configuration files
-cp ./configs/6.0/static/mac/cmake/ConfigUser.static.cmake ./src/cmake/ConfigUser.cmake
-cp ./configs/6.0/static/cmake/modules/FindGDAL.cmake ./src/cmake/modules
-cp ./configs/6.0/static/cmake/modules/FindGSHHG.cmake ./src/cmake/modules
-cp ./configs/6.0/static/cmake/modules/FindNETCDF.cmake ./src/cmake/modules
-
-# Configure
-cd src
-mkdir build
-cd build
-
-# NOTE:
-# - The CMake modules used to find and probe the BLAS and LAPACK libraries do
-#	not seem to handle the situation where BLAS_LIBRARY and LAPACK_LIBRARY are
-#	set but we are working with static libraries
-#	(see customized ConfigUser.static.cmake). Using BLAS_LIBRARIES and
-#	LAPACK_LIBRARIES is a workaround.
-#
-cmake \
-	-DBLAS_LIBRARIES="${BLAS_ROOT}/lib/libfblas.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
-	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
-	-DCURL_LIBRARY="${CURL_ROOT}/lib/libcurl.a" \
-	-DGDAL_EXTRA_LIBS="${GDAL_EXTRA_LIBS}" \
-	-DLAPACK_LIBRARIES="${LAPACK_ROOT}/lib/libflapack.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
-	-DNETCDF_EXTRA_LIBS="${NETCDF_EXTRA_LIBS}" \
-	..
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: sm/trunk-jpl/externalpackages/gmt/install-6-mac-intel.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-intel.sh	(revision 27700)
+++ 	(revision )
@@ -1,66 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="6.4.0"
-
-# Find libgfortran so that we do not have to hardcode it.
-#
-# TODO:
-# - Move this to etc/environment.sh
-#
-echo "Finding libgfortran..."
-LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
-LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
-
-# Environment
-#
-export CC=mpicc
-export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gmt-${VER}.tar.gz
-
-# Cleanup
-rm -rf ${PREFIX} src
-mkdir -p ${PREFIX} src
-
-# Move source to 'src' directory
-mv gmt-${VER}/* src
-rm -rf gmt-${VER}
-
-# Copy custom configuration files
-cp ./configs/6.0/mac/cmake/ConfigUser.cmake ./src/cmake
-
-# Configure
-cd src
-mkdir build
-cd build
-
-# NOTE:
-# - There is a CMake variable named CURL_ROOT in src/cmake/ConfigUser.cmake
-#	that, ostensibly, allows for supplying the path to curl when it is in a
-#	non-standard location. That said, newer versions of CMake will ignore said
-#	variable and instead try to find curl itself. Passing in the two options
-#	below overrides this behavior.
-#
-cmake \
-	-DBLAS_LIBRARIES="-L${BLAS_ROOT}/lib;-lfblas;-L${LIBGFORTRAN_ROOT};-lgfortran" \
-	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
-	-DCURL_LIBRARY="-L${CURL_ROOT}/lib;-lcurl" \
-	-DLAPACK_LIBRARIES="-L${LAPACK_ROOT}/lib;-lflapack;-L${LIBGFORTRAN_ROOT};-lgfortran" \
-	..
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: sm/trunk-jpl/externalpackages/gmt/install-6-mac-silicon.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-silicon.sh	(revision 27700)
+++ 	(revision )
@@ -1,66 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="6.4.0"
-
-# Find libgfortran so that we do not have to hardcode it.
-#
-# TODO:
-# - Move this to etc/environment.sh
-#
-echo "Finding libgfortran..."
-LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
-LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
-
-# Environment
-#
-export CC=mpicc
-export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gmt-${VER}.tar.gz
-
-# Cleanup
-rm -rf ${PREFIX} src
-mkdir -p ${PREFIX} src
-
-# Move source to 'src' directory
-mv gmt-${VER}/* src
-rm -rf gmt-${VER}
-
-# Copy custom configuration files
-cp ./configs/6.0/mac/cmake/ConfigUser.cmake ./src/cmake
-
-# Configure
-cd src
-mkdir build
-cd build
-
-# NOTE:
-# - There is a CMake variable named CURL_ROOT in src/cmake/ConfigUser.cmake
-#	that, ostensibly, allows for supplying the path to curl when it is in a
-#	non-standard location. That said, newer versions of CMake will ignore said
-#	variable and instead try to find curl itself. Passing in the two options
-#	below overrides this behavior.
-#
-cmake \
-	-DBLAS_LIBRARIES="-L${BLAS_ROOT}/lib;-lfblas;-L${LIBGFORTRAN_ROOT};-lgfortran" \
-	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
-	-DCURL_LIBRARY="-L${CURL_ROOT}/lib;-lcurl" \
-	-DLAPACK_LIBRARIES="-L${LAPACK_ROOT}/lib;-lflapack;-L${LIBGFORTRAN_ROOT};-lgfortran" \
-	..
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: /issm/trunk-jpl/externalpackages/gmt/install-6-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-static.sh	(revision 27701)
+++ /issm/trunk-jpl/externalpackages/gmt/install-6-mac-static.sh	(revision 27701)
@@ -0,0 +1,80 @@
+#!/bin/bash
+set -eu
+
+
+## Constants
+#
+VER="6.4.0"
+
+# Find libgfortran and libgcc so we do not have to hardcode them
+#
+# TODO:
+# - Move this to etc/environment.sh
+# - Test if -static-libgfortran flag will avoid all of this.
+# - Otherwise, refactor this to work with other gfortran installations.
+#
+echo "Finding libgfortran..."
+LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
+LIBGCC=$(find ${LIBGFORTRAN_ROOT} -name libgcc* 2>/dev/null | egrep -n libgcc.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+
+GDAL_EXTRA_LIBS="-lc++" # `$GDAL_ROOT/bin/gdal-config --dep-libs` does not report need to link to libc++ (see also customized configuration file ./configs/6/static/cmake/modules/FindGDAL.cmake)
+NETCDF_EXTRA_LIBS="-lpthread -ldl -liconv" # `$NETCDF_ROOT/bin/nc-config --libs` does not report certain dependencies of certain static libraries (see also customized configuration file ./configs/6/static/cmake/modules/FindNETCDF.cmake)
+
+# Environment
+#
+export CC=mpicc
+export CURL_INCLUDE_DIRS="${CURL_ROOT}/include"
+export CURL_LIBRARIES="${CURL_ROOT}/lib/libcurl.a;${ZLIB_ROOT}/lib/libz.a"
+export LDFLAGS="-lsqlite3 -framework CoreFoundation -framework Security"
+export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gmt-${VER}.tar.gz
+
+# Cleanup
+rm -rf ${PREFIX} src
+mkdir -p ${PREFIX} src
+
+# Move source to 'src' directory
+mv gmt-${VER}/* src
+rm -rf gmt-${VER}
+
+# Copy custom configuration files
+cp ./configs/6.0/static/mac/cmake/ConfigUser.static.cmake ./src/cmake/ConfigUser.cmake
+cp ./configs/6.0/static/cmake/modules/FindGDAL.cmake ./src/cmake/modules
+cp ./configs/6.0/static/cmake/modules/FindGSHHG.cmake ./src/cmake/modules
+cp ./configs/6.0/static/cmake/modules/FindNETCDF.cmake ./src/cmake/modules
+
+# Configure
+cd src
+mkdir build
+cd build
+
+# NOTE:
+# - The CMake modules used to find and probe the BLAS and LAPACK libraries do
+#	not seem to handle the situation where BLAS_LIBRARY and LAPACK_LIBRARY are
+#	set but we are working with static libraries
+#	(see customized ConfigUser.static.cmake). Using BLAS_LIBRARIES and
+#	LAPACK_LIBRARIES is a workaround.
+#
+cmake \
+	-DBLAS_LIBRARIES="${BLAS_ROOT}/lib/libfblas.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
+	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
+	-DCURL_LIBRARY="${CURL_ROOT}/lib/libcurl.a" \
+	-DGDAL_EXTRA_LIBS="${GDAL_EXTRA_LIBS}" \
+	-DLAPACK_LIBRARIES="${LAPACK_ROOT}/lib/libflapack.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
+	-DNETCDF_EXTRA_LIBS="${NETCDF_EXTRA_LIBS}" \
+	..
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/externalpackages/gmt/install-6-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac.sh	(revision 27701)
+++ /issm/trunk-jpl/externalpackages/gmt/install-6-mac.sh	(revision 27701)
@@ -0,0 +1,66 @@
+#!/bin/bash
+set -eu
+
+
+## Constants
+#
+VER="6.4.0"
+
+# Find libgfortran so that we do not have to hardcode it.
+#
+# TODO:
+# - Move this to etc/environment.sh
+#
+echo "Finding libgfortran..."
+LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
+
+# Environment
+#
+export CC=mpicc
+export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gmt-${VER}.tar.gz
+
+# Cleanup
+rm -rf ${PREFIX} src
+mkdir -p ${PREFIX} src
+
+# Move source to 'src' directory
+mv gmt-${VER}/* src
+rm -rf gmt-${VER}
+
+# Copy custom configuration files
+cp ./configs/6.0/mac/cmake/ConfigUser.cmake ./src/cmake
+
+# Configure
+cd src
+mkdir build
+cd build
+
+# NOTE:
+# - There is a CMake variable named CURL_ROOT in src/cmake/ConfigUser.cmake
+#	that, ostensibly, allows for supplying the path to curl when it is in a
+#	non-standard location. That said, newer versions of CMake will ignore said
+#	variable and instead try to find curl itself. Passing in the two options
+#	below overrides this behavior.
+#
+cmake \
+	-DBLAS_LIBRARIES="-L${BLAS_ROOT}/lib;-lfblas;-L${LIBGFORTRAN_ROOT};-lgfortran" \
+	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
+	-DCURL_LIBRARY="-L${CURL_ROOT}/lib;-lcurl" \
+	-DLAPACK_LIBRARIES="-L${LAPACK_ROOT}/lib;-lflapack;-L${LIBGFORTRAN_ROOT};-lgfortran" \
+	..
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/jenkins/mac-intel-binaries-matlab
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-binaries-matlab	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-intel-binaries-matlab	(revision 27701)
@@ -57,5 +57,5 @@
 	gdal		install-3-static.sh
 	gshhg		install.sh
-	gmt			install-6-mac-intel-static.sh
+	gmt			install-6-mac-static.sh
 	gmsh		install-4-mac-static.sh
 	triangle	install-mac-static.sh
Index: /issm/trunk-jpl/jenkins/mac-intel-binaries-python-3
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-binaries-python-3	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-intel-binaries-python-3	(revision 27701)
@@ -57,5 +57,5 @@
 	gdal		install-3-python-static.sh
 	gshhg		install.sh
-	gmt			install-6-mac-intel-static.sh
+	gmt			install-6-mac-static.sh
 	gmsh		install-4-mac-static.sh
 	triangle	install-mac-static.sh
Index: /issm/trunk-jpl/jenkins/mac-intel-dakota
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-dakota	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-intel-dakota	(revision 27701)
@@ -57,5 +57,5 @@
 	gdal		install-3-python.sh
 	gshhg		install.sh
-	gmt			install-6-mac-intel.sh
+	gmt			install-6-mac.sh
 	gmsh		install-4-mac.sh
 	triangle	install-mac.sh
Index: /issm/trunk-jpl/jenkins/mac-intel-examples
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-examples	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-intel-examples	(revision 27701)
@@ -58,5 +58,5 @@
 	gdal		install-3-python.sh
 	gshhg		install.sh
-	gmt			install-6-mac-intel.sh
+	gmt			install-6-mac.sh
 	gmsh		install-4-mac.sh
 	triangle	install-mac.sh
Index: /issm/trunk-jpl/jenkins/mac-intel-full
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-full	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-intel-full	(revision 27701)
@@ -62,5 +62,5 @@
 	gdal		install-3-python.sh
 	gshhg		install.sh
-	gmt			install-6-mac-silicon.sh
+	gmt			install-6-mac.sh
 	gmsh		install-4-mac.sh
 	triangle	install-mac.sh
Index: /issm/trunk-jpl/jenkins/mac-intel-solid_earth
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-solid_earth	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-intel-solid_earth	(revision 27701)
@@ -57,5 +57,5 @@
 	gdal		install-3-python.sh
 	gshhg		install.sh
-	gmt			install-6-mac-intel.sh
+	gmt			install-6-mac.sh
 	gmsh		install-4-mac.sh
 	triangle	install-mac.sh
Index: /issm/trunk-jpl/jenkins/mac-silicon-examples
===================================================================
--- /issm/trunk-jpl/jenkins/mac-silicon-examples	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-silicon-examples	(revision 27701)
@@ -60,5 +60,5 @@
 	gdal		install-3-python.sh
 	gshhg		install.sh
-	gmt			install-6-mac-silicon.sh
+	gmt			install-6-mac.sh
 	gmsh		install-4-mac.sh
 	triangle	install-mac.sh
@@ -77,5 +77,5 @@
 PYTHON_TEST=0
 JAVASCRIPT_TEST=0
-EXAMPLES_TEST=0
+EXAMPLES_TEST=1
 
 # Number of CPUs used in ISSM compilation
@@ -87,5 +87,5 @@
 
 # Number of CPUs used in the nightly runs
-NUMCPUS_RUN=1
+NUMCPUS_RUN=2
 
 # Nightly run options
Index: /issm/trunk-jpl/jenkins/mac-silicon-full
===================================================================
--- /issm/trunk-jpl/jenkins/mac-silicon-full	(revision 27700)
+++ /issm/trunk-jpl/jenkins/mac-silicon-full	(revision 27701)
@@ -61,5 +61,5 @@
 	gdal		install-3-python.sh
 	gshhg		install.sh
-	gmt			install-6-mac-silicon.sh
+	gmt			install-6-mac.sh
 	gmsh		install-4-mac.sh
 	triangle	install-mac.sh
